CREATE EXTENSION IF NOT EXISTS "pgcrypto";
-- Перенос данных из T_ONK_HORMONIMMUNTHERAPIE в T_CHEMO_THERAPY_DRUG_LINK
INSERT INTO AKUZ.T_CHEMO_THERAPY_DRUG_LINK (ChemoTherapyDrugLinkID, EhrRusNk0337, OnkConditionTreat)
SELECT 
    gen_random_uuid(), -- Генерация нового UUID
    HormonimmuntherapieDrug, -- Значение EhrRusNk0337 (ID препарата)
    OnkConditionTreatID -- ID из T_ONK_CONDITION_TREAT
FROM AKUZ.T_ONK_HORMONIMMUNTHERAPIE
WHERE HormonimmuntherapieDrug IS NOT NULL;

-- Удаление внешнего ключа перед удалением колонки
DO $$
BEGIN
    IF EXISTS (SELECT 1 FROM information_schema.table_constraints WHERE constraint_name = 'FK_T_EHR_RUS_NK0337_T_ONK_HORMONIMMUNTHERAPIE_HormonimmuntherapieDrug') THEN
        ALTER TABLE AKUZ.T_ONK_HORMONIMMUNTHERAPIE DROP CONSTRAINT FK_T_EHR_RUS_NK0337_T_ONK_HORMONIMMUNTHERAPIE_HormonimmuntherapieDrug;
    END IF;
END $$;

-- Удаление колонки HormonimmuntherapieDrug из T_ONK_HORMONIMMUNTHERAPIE
DO $$
BEGIN
    IF EXISTS (SELECT 1 FROM information_schema.columns WHERE table_name = 'T_ONK_HORMONIMMUNTHERAPIE' AND column_name = 'HormonimmuntherapieDrug') THEN
        ALTER TABLE AKUZ.T_ONK_HORMONIMMUNTHERAPIE DROP COLUMN HormonimmuntherapieDrug;
    END IF;
END $$;
